<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <VersionPrefix>1.0.0.0</VersionPrefix>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssetTargetFallback>$(AssetTargetFallback);portable-net45+win8+wp8+wpa81;</AssetTargetFallback>
    <AssemblyName>YGNT.Exam.Web.Core</AssemblyName>
    <PackageId>YGNT.Exam.Web.Core</PackageId>
    <GenerateAssemblyTitleAttribute>false</GenerateAssemblyTitleAttribute>
    <GenerateAssemblyDescriptionAttribute>false</GenerateAssemblyDescriptionAttribute>
    <GenerateAssemblyConfigurationAttribute>false</GenerateAssemblyConfigurationAttribute>
    <GenerateAssemblyCompanyAttribute>false</GenerateAssemblyCompanyAttribute>
    <GenerateAssemblyProductAttribute>false</GenerateAssemblyProductAttribute>
    <GenerateAssemblyCopyrightAttribute>false</GenerateAssemblyCopyrightAttribute>
    <GenerateAssemblyVersionAttribute>false</GenerateAssemblyVersionAttribute>
    <GenerateAssemblyFileVersionAttribute>false</GenerateAssemblyFileVersionAttribute>
    <OpenApiGenerateDocuments>false</OpenApiGenerateDocuments>
    <RootNamespace>YGNT.Exam</RootNamespace>
    <LangVersion>7.2</LangVersion>
  </PropertyGroup>
  <ItemGroup>
    <ProjectReference Include="..\YGNT.Exam.Application\YGNT.Exam.Application.csproj" />
    <ProjectReference Include="..\YGNT.Exam.EntityFrameworkCore\YGNT.Exam.EntityFrameworkCore.csproj" />
    <ProjectReference Include="..\YGNT.File\YGNT.File.Application\YGNT.File.Application.csproj" />
    <ProjectReference Include="..\YGNT.QuestionLibrary\YGNT.QuestionLibrary.Application\YGNT.QuestionLibrary.Application.csproj" />
    <ProjectReference Include="..\YGNT.QuestionLibrary\YGNT.QuestionLibrary.EntityFrameworkCore\YGNT.QuestionLibrary.EntityFrameworkCore.csproj" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="3.1.4" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="5.4.1" />
    <PackageReference Include="Abp.AspNetCore" Version="5.13.0" />
    <PackageReference Include="Abp.ZeroCore" Version="5.13.0" />
    <PackageReference Include="Abp.AspNetCore.SignalR" Version="5.13.0" />
  </ItemGroup>
</Project>